summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorPhilip Goto2019-02-06 19:05:13 +0100
committerPhilip Goto2019-02-06 19:05:13 +0100
commit1f0bd4ce706157f3084e238ab72a50d00d57078f (patch)
tree912d791579d5c38fd4890252a4f4bde6ec409584 /PKGBUILD
parent444d4422cb13a8a7655dc4573234b0d4271b4b22 (diff)
downloadaur-1f0bd4ce706157f3084e238ab72a50d00d57078f.tar.gz
Update depends and url
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD24
1 files changed, 14 insertions, 10 deletions
diff --git a/PKGBUILD b/PKGBUILD
index f1680826637..7a49a22a5f9 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,30 +3,34 @@
_pkgname=remotely
pkgname=$_pkgname-git
pkgver=r8.8b5f629
-pkgrel=1
+pkgrel=2
pkgdesc="A GTK3 VNC Client"
arch=('i686' 'x86_64' 'armv6h' 'armv7h')
-url="https://github.com/haecker-felix/Remotely"
+url="https://gitlab.gnome.org/haecker-felix/Remotely"
license=('GPL3')
-depends=('gtk3')
-makedepends=('meson'
+depends=('gtk-vnc')
+makedepends=('gtk-vnc'
+ 'meson'
'vala')
provides=("$_pkgname")
conflicts=("$_pkgname")
-source=("git+https://github.com/haecker-felix/Remotely.git")
+source=("git+https://gitlab.gnome.org/haecker-felix/Remotely.git")
md5sums=('SKIP')
pkgver() {
- cd Remotely
+ cd Remotely
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g' ||
printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
build() {
- rm -rf build
- arch-meson Remotely build
- ninja -v -C build
+ rm -rf build
+ arch-meson Remotely build
+ ninja -v -C build
}
package() {
- DESTDIR="$pkgdir/" ninja -C build install
+ DESTDIR="$pkgdir/" ninja -C build install
}